document.getElementById('cf-select-all').addEventListener('click', selectAllRows);
function selectAllRows(){
    var checkBox = document.getElementById("cf-select-all");
    var rows = $('.check-column input[type="checkbox"]');

    if (checkBox.checked == true){
        rows.prop("checked", true);
    } else {
        rows.prop("checked", false);
    }
}